import pandas as pd
import matplotlib.pyplot as plt

norden = ["Norge", "Sverige", "Danmark", "Finland", "Island"]
data = pd.read_excel(
    "kap1.xlsx",
    sheet_name="1.2",
    header=4,
    usecols=[0, 1, 2],
    index_col=0,
    na_values="-",
).rename(
    columns={"Budsjettiltak": "tiltak", "Lån og garantier": "lån"}
).fillna(0)

budsjett = (
           data
           .assign(
               totalt=data.tiltak + data.lån,
               i_norden=data.index.isin(norden),
            )
           .sort_values(by="totalt", ascending=False)
)

budsjett.rename(
    columns={"tiltak": "Budsjettiltak", "lån": "Lån og garantier"}
).to_excel("budsjett.xlsx")

budsjett.query("i_norden").drop(columns=["i_norden"]).to_excel("norden.xlsx")

budsjett.loc[:, ["tiltak", "lån"]].plot.barh(stacked=True)
plt.savefig("budsjett.png")
plt.show()
